Subject: bug#60977: 29.0.60; Dired: invalid face reference with dir symlinks

From: "Basil L. Contovounesios" <[email-masked]>
Date: Wed, 25 Jan 2023 00:23:52 +0000

Eli Zaretskii [2023-01-24 08:29 -0500] wrote:

>> Cc: [email-masked]
>> Date: Mon, 23 Jan 2023 21:04:00 +0000
>> From:  "Basil L. Contovounesios" via "Bug reports for GNU Emacs,
>>  the Swiss army knife of text editors" <[email-masked]>
>> 
>> >> But I don't know whether it's acceptable for emacs-29, or whether it
>> >> conses too much during font lock.  In the latter case, we could evaluate
>> >> dired-directory-face once (when dired-font-lock-keywords is defined), or
>> >> we could use the 'dired-directory' face directly.  WDYT?
>> >
>> > I think the effect of consing is negligible.
>> 
>> Thanks for confirming.
>> I'll install it once we hear from Eli re: emacs-29.
>
> I'm sorry, but I don't see any questions you asked me about this
> issue, and neither do I see it on debbugs in the discussion of the
> issue.  What did I miss?

My question was whether the patch in https://bugs.gnu.org/60977#5 is
efficient and suitable enough for emacs-29, to fix a font lock
regression.

Thanks,

-- 
Basil